<?php

/**
 * Page de traitement permettant le changement d'un utilisateur.
 * Elle est appelée par le formulaire de changement d'un utilisateur (uniquement possible par un administrateur).
 * Elle effectué ce changement en surchargeant la valeur de session relative à l'identité de l'utilisateur connecté.
 */

session_start();
require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");

if (testPrivileges()=="administrateur" && isset($_POST['choix_utilisateur']) && !empty($_POST['choix_utilisateur'])) {
	$_SESSION['pseudo_utilisateur'] = $_POST['choix_utilisateur'];
	if (isset($_POST['page_origine']) && !empty($_POST['page_origine'])) {
		header ("Location: /pages/gestion/administration.php?page=".$_POST['page_origine']."&succes=4");
		die();
	}
	else {
		header ("Location: /pages/gestion/administration.php?page=accueil&succes=4");
		die();
	}
}
else {
	header ("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}

?>